GET /api/v3/glsubcode

Retrieves all General Ledger SubCode definitions

GetGLSubCodesV3 Permissions: Accounts (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GLSubcodeResponse
Property Description Type
subCodeIndex Index of this subcode (01-20) string
subCodeName Name for this SubCode string
subCodeType SubCodeType - will be “list”(if fixed=1 in DB) or “text” (if fixed=0) in DB string
subCodeValues An array of pick list values when this subcode is a “list” string[]
Example Response application/json
[
  {    "subCodeIndex": "string",    "subCodeName": "string",    "subCodeType": "string",    "subCodeValues": [
      "string"
    ]
  }
]